summaryrefslogtreecommitdiffstats
path: root/bin/ceph-log
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2017-04-08 10:27:26 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2017-04-08 10:58:47 +0000
commitc1abaace560accadf985684411357e9387c144c0 (patch)
tree6eba1363e3c874f452fd981ba9264f13b869a17d /bin/ceph-log
parentInitial commit. (diff)
downloadopen-infrastructure-storage-tools-c1abaace560accadf985684411357e9387c144c0.tar.xz
open-infrastructure-storage-tools-c1abaace560accadf985684411357e9387c144c0.zip
Adding upstream version 20170405.upstream/20170405
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'bin/ceph-log')
-rwxr-xr-xbin/ceph-log40
1 files changed, 40 insertions, 0 deletions
diff --git a/bin/ceph-log b/bin/ceph-log
new file mode 100755
index 0000000..f06605f
--- /dev/null
+++ b/bin/ceph-log
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# storage-tools - Additional utilities to manage storage related tasks
+# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+SOFTWARE="storage-tools"
+PROGRAM="ceph-log"
+
+if [ -e "/etc/default/${SOFTWARE}" ]
+then
+ . "/etc/default/${SOFTWARE}"
+fi
+
+case "${CEPH_LOG}" in
+ true)
+ ;;
+
+ *)
+ exit 0
+ ;;
+esac
+
+mkdir -p "/var/log/${SOFTWARE}/${PROGRAM}"
+
+ceph --watch >> "/var/log/${SOFTWARE}/${PROGRAM}/ceph-watch.log"